package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
* <p>
* </p>*发起考核考，核组人员对应关系表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@ApiModel(value = "发起考核考，核组人员对应关系Dto")
public class EvaluationStartStaffDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //考核组id
    @ApiModelProperty(value = "考核组id", name = "evaluationId")
    private Long evaluationId;
    //发起id
    @ApiModelProperty(value = "发起id", name = "startId")
    private Long startId;
    //人员id
    @ApiModelProperty(value = "人员id", name = "staffId")
    private Long staffId;
    //0考核人员，1管理人员
    @ApiModelProperty(value = "0考核人员，1管理人员", name = "type")
    private Integer type;
    @ApiModelProperty(value = "员工所在的部门id", name = "departmentId")
    private String departmentId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 考核组id 
     * @return
     */
    public Long getEvaluationId() {
        return evaluationId;
    }
    /**
     * 考核组id 
     * @param evaluationId
     */
    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    /**
     * 发起id 
     * @return
     */
    public Long getStartId() {
        return startId;
    }
    /**
     * 发起id 
     * @param startId
     */
    public void setStartId(Long startId) {
        this.startId = startId;
    }

    /**
     * 人员id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 人员id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 0考核人员，1管理人员 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0考核人员，1管理人员 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "EvaluationStartStaff{" +
                ",id=" + id +
                ",evaluationId=" + evaluationId +
                ",startId=" + startId +
                ",staffId=" + staffId +
                ",type=" + type +
                "}";
    }
}